当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 2 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 求助!emacsen-common安装出错
帖子发表于 : 2009-03-30 13:50 
头像

注册: 2007-11-26 22:40
帖子: 132
送出感谢: 0 次
接收感谢: 0 次
sudo apt-get install emacs
Reading package lists... Done
Building dependency tree
Reading state information... Done
The following extra packages will be installed:
emacs22-bin-common emacs22-common emacs22-gtk emacsen-common
Suggested packages:
emacs22-el
The following NEW packages will be installed:
emacs emacs22-bin-common emacs22-common emacs22-gtk emacsen-common
0 upgraded, 5 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/21.0MB of archives.
After this operation, 65.7MB of additional disk space will be used.
Do you want to continue [Y/n]?
Selecting previously deselected package emacsen-common.
(Reading database ... 127933 files and directories currently installed.)
Unpacking emacsen-common (from .../emacsen-common_1.4.17_all.deb) ...
Selecting previously deselected package emacs22-common.
Unpacking emacs22-common (from .../emacs22-common_22.2-0ubuntu2_all.deb) ...
Selecting previously deselected package emacs22-bin-common.
Unpacking emacs22-bin-common (from .../emacs22-bin-common_22.2-0ubuntu2_i386.deb) ...
Selecting previously deselected package emacs22-gtk.
Unpacking emacs22-gtk (from .../emacs22-gtk_22.2-0ubuntu2_i386.deb) ...
Selecting previously deselected package emacs.
Unpacking emacs (from .../emacs_22.2-0ubuntu2_all.deb) ...
Processing triggers for man-db ...
Setting up emacsen-common (1.4.17) ...
emacsen-common: Handling install of emacsen flavor emacs
install-info: No dir file specified; try --help for more information.
dpkg: error processing emacsen-common (--configure):
subprocess post-installation script returned error exit status 1
dpkg: dependency problems prevent configuration of emacs22-common:
emacs22-common depends on emacsen-common (>= 1.4.10); however:
Package emacsen-common is not configured yet.
dpkg: error processing emacs22-common (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of emacs22-bin-common:
emacs22-bin-common depends on emacs22-common (= 22.2-0ubuntu2); however:
Package emacs22-common is not configured yet.
dpkg: error processing emacs22-bin-common (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of emacs22-gtk:
emacs22-gtk depends on emacs22-bin-common (= 22.2-0ubuntu2); however:
Package emacs22-bin-common is not configured yet.
dpkg: error processing emacs22-gtk (--configure):
dependency problems - leaving unconfigured
dpkg: dependency problems prevent conNo apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because the error message indicates its a followup error from a previous failure.
No apport report written because MaxReports is reached already
No apport report written because MaxReports is reached already
figuration of emacs:
emacs depends on emacs22-gtk | emacs22 | emacs22-nox; however:
Package emacs22-gtk is not configured yet.
Package emacs22 is not installed.
Package emacs22-gtk which provides emacs22 is not configured yet.
Package emacs22-nox is not installed.
dpkg: error processing emacs (--configure):
dependency problems - leaving unconfigured
Errors were encountered while processing:
emacsen-common
emacs22-common
emacs22-bin-common
emacs22-gtk
emacs
E: Sub-process /usr/bin/dpkg returned an error code (1)
juicy@maicom:~$ dpkg -l |grep ^rc|awk '{print $2}' |sudo xargs dpkg -P
dpkg: --purge needs at least one package name argument

Type dpkg --help for help about installing and deinstalling packages [*];
Use `dselect' or `aptitude' for user-friendly package management;
Type dpkg -Dhelp for a list of dpkg debug flag values;
Type dpkg --force-help for a list of forcing options;
Type dpkg-deb --help for help about manipulating *.deb files;
Type dpkg --license for copyright license and lack of warranty (GNU GPL) [*].

Options marked [*] produce a lot of output - pipe it through `less' or `more' !
juicy@maicom:~$ sudo aptitude remove emacs
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
No packages will be installed, upgraded, or removed.
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Writing extended state information... Done
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done


安装源里的emacs不上
看了下好像最根本的就是这个emacsen-common没有配置

dpkg: error processing emacs22-common (--configure):
dependency problems - leaving unconfigured

怎么回事呢???昨天安装TEXmacs出错,害的我重装,好像也是这样的问题吧?


_________________
我本将心向明月,奈何明月照渠沟


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 求助!emacsen-common安装出错
帖子发表于 : 2009-03-31 22:09 
头像

注册: 2007-11-26 22:40
帖子: 132
送出感谢: 0 次
接收感谢: 0 次
此为装了texlive的原因


_________________
我本将心向明月,奈何明月照渠沟


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 2 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 4 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译